<script setup lang="ts">
import { ref } from "vue";
import { PURCHAS_COLUMNS } from "/@/utils/details/purchase";
import BasicDescriptions from "/@/components/BasicDescriptions";

const visible = ref(false);
const data = ref<any>({});

defineExpose({
  onDisplay: _data => {
    visible.value = true;
    data.value = _data;
  }
});
</script>

<template>
  <el-dialog v-model="visible" title="采购单详情" center>
    <BasicDescriptions
      :col-number="2"
      :columns="PURCHAS_COLUMNS"
      :data="data"
    />
  </el-dialog>
</template>
